export const lineChartOption = {
  legend: { show: false },
  emphasis: { lineStyle: { width: 2 } },
  xAxis: {
    boundaryGap: false,
    data: [
      '01月',
      '02月',
      '03月',
      '04月',
      '05月',
      '06月',
      '07月',
      '08月',
      '09月',
      '10月',
      '11月',
      '12月'
    ],
    type: 'category',
    axisLine: { lineStyle: { color: '#8C8C8C' } }
  },
  color: [
    '#5B8FF9',
    '#2DC7AA',
    '#91DD1C',
    '#FFA92C',
    '#BE7E2E',
    '#1C96DD',
    '#D22CFF',
    '#FF3C3C'
  ],
  series: [
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '陪练课',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '直播课',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '视频课',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '乐谱',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '小酷Ai推广',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '直播课推荐',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '视频课推荐',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    },
    {
      lineStyle: { width: 1 },
      data: [
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00',
        '0.00'
      ],
      symbol: 'circle',
      name: '商品推荐',
      type: 'line',
      emphasis: { lineStyle: { width: 1 } }
    }
  ],
  title: { show: false },
  grid: {
    bottom: '3%',
    containLabel: true,
    left: '3%',
    right: '5%',
    top: '7%'
  },
  tooltip: { trigger: 'axis' },
  yAxis: {
    type: 'value',
    splitLine: {
      axisLine: { lineStyle: { color: '#8C8C8C' } },
      lineStyle: { color: ['#E2E2E2'] }
    }
  },
  dataZoom: [{ type: 'inside', throttle: 100 }],
  toolbox: { feature: { saveAsImage: { show: false } } }
}

export const pieChartOption = {
  tooltip: {
    position: ['30%', '30%'],
    trigger: 'item',
    padding: 3,
    textStyle: { fontSize: 12 },
    borderWidth: 0,
    formatter: '{b} : {c} ({d}%)'
  },
  series: [
    {
      avoidLabelOverlap: false,
      label: { show: false },
      data: [
        { name: '陪练课', value: '0.00' },
        { name: '直播课', value: '0.00' },
        { name: '视频课', value: '0.00' },
        { name: '乐谱', value: '0.00' },
        { name: '小酷Ai推广', value: '0.00' },
        { name: '直播课推荐', value: '0.00' },
        { name: '视频课推荐', value: '0.00' },
        { name: '商品推荐', value: '0.00' }
      ],
      type: 'pie',
      radius: ['50%', '80%']
    }
  ],
  grid: {
    bottom: '0%',
    containLabel: true,
    left: '0%',
    right: '0%',
    top: '0%'
  },
  toolbox: { feature: { saveAsImage: { show: false } } },
  color: [
    '#5B8FF9',
    '#2DC7AA',
    '#91DD1C',
    '#FFA92C',
    '#BE7E2E',
    '#1C96DD',
    '#D22CFF',
    '#FF3C3C'
  ]
}
