import { Toast } from 'vant'

// share information
export const shareCall = () => {
  const { origin, pathname } = location
  let str = origin + pathname + '#/'
  const params = this.$route.query
  // 判断是否有跳转连接, 如果连接和动作没有时, 则不跳转
  if (!params.url && !params.action) {
    return
  }
  str += params.url

  const query = {
    url: str,
    action: params.action || 'h5', // app, h5
    pageTag: params.pageTag || 1, // 页面标识
    params: {}
  }
  const iosStr = encodeURIComponent(JSON.stringify(query))
  if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
    // ColexiuStudent 唤起学生端
    window.location.href = `ColexiuStudent://linkUrl=${iosStr}`
  } else if (/(Android)/i.test(navigator.userAgent)) {
    window.location.href = `colexiustudent://html:8888/SplashActivity?url=${JSON.stringify(
      query
    )}`
  } else {
    Toast('请用手机或移动设备打开')
  }
}
